Get aggregations for an event
get
/sia/v1/event/id/{event_doc_id}/aggregations/{aggregation_attribute}
Returns a common list of aggregation buckets including: (a) terms buckets for entityType, and (b) a single CUSTOMER bucket with total impacted customers. For Planned/Simulated Parent events, entityType counts are deduplicated by impacted resource (cardinality), and customers are deduplicated by customerId (fallback to name).
Request
Path Parameters
-
aggregation_attribute(required): string
Aggregation attribute. Only 'entityType' is supported.Example:
entityType -
event_doc_id(required): string
The document id of the event.Example:
UE17413440117525049
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Aggregations retrieved successfully.
Root Schema : AggregationsResponse
Type:
objectCommon list of aggregation buckets including entity types and a single customer bucket
Show Source
-
buckets: object
buckets
Common list of aggregation buckets. Contains both entityType buckets and one CUSTOMER bucket for total customer count.
Nested Schema : buckets
Type:
objectCommon list of aggregation buckets. Contains both entityType buckets and one CUSTOMER bucket for total customer count.
Show Source
-
docCount: integer
(int64)
Document count for the bucketExample:
258 -
key: string
Bucket keyExample:
CONNECTIVITY
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
404 Response
The requested resource not found
500 Response
An Internal Server Error has occurred